
Showroom Mobile Banking - Bug #13904

IB - Add google map into the page

04 July 2022 09:45 AM - chok yee fan

Status: Closed Start date: 04 July 2022

Priority: Normal Due date:  

Assignee: Hoo Dextor % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

google map Embed API

https://developers.google.com/maps/documentation/embed/get-started?_gl=1*nmqkfu*_ga*MTI4MzAzMjcwMy4xNjU2NjQyMDQ3*_g

a_NRWSTWS78N*MTY1NjY0MjA0Ny4xLjEuMTY1NjY0MjQwNS4w

create the page under the location > Of ATMs

History

#1 - 04 July 2022 09:45 AM - chok yee fan

could use UG ws

/cc_ereward_ws/api/general/getMerchantListByDistance

request

------ {

"deviceId":"abcd1234",

"userLat":"3.1275411",

"userLong":"101.6432183",

"sortFlag":"NW",

"distance":"100"

}

response {

"responseCode": 1,

"responseCodeDetail": null,

"currency": "UGP",

"lang": "EN",

"sessionId": null,

"responseMsg": [

"REQUEST SUCCESSFUL"

],

"rewardResponseMessages": null,

"responseMsgFirstIndex": null,

"badgeRetrieved": null,

"serverMaintenanceNotice": null,

"serverMaintenanceNoticeDate": null,

"custGroupUpdated": null,

"csrfToken": null,

"currentStampCount": null,

"earnedStampCount": null,

"stampTransactionCode": null,

"targetAccumulation": null,

"serverDateTime": null,

"ugpIconPath": null,

"amount": null,

"voucherName": null,

"merchantLogoPath": null,

"serverMaintenaceStartTime": null,

"serverMaintenanceEndTime": null,

"serverMaintenanceUnavailableHr": null,

"merchantStoreList": [ {

"storeId": 4548,

"storeName": "O’Briens Great Eastern Mall",

"merchantId": 1229,

"address": "Ground Floor Lot 15, 303, Jalan Ampang,\n50450 Kuala Lumpur.\n",

"latitude": 3.160432,

"longitude": 101.736656,
"distance": 11.006192308947663,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4558,

"storeName": "O’Briens The Curve",

"merchantId": 1229,

"address": "Lot G79, Ground Floor, No.6, Jalan PJU 7/3,\nMutiara Damansara, 47800 Petaling Jaya, Selangor.\n",

"latitude": 3.157735,

"longitude": 101.610954999999,

"distance": 4.912342838267977,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4559,

"storeName": "O’Briens Empire Shopping Gallery",

"merchantId": 1229,

"address": "LG 22, Empire Shopping Gallery, Jalan 16/1,\nSS16, 47500 Subang Jaya, Selangor.\n",

"latitude": 3.0822084,

"longitude": 101.5831796,

"distance": 8.36222115476192,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4609,

"storeName": "Himalaya Gamuda Walk, Kota Kemuning",

"merchantId": 1232,

"address": "K-G-01, Gamuda Walk No. 12,\nPersiaran Anggerik Vanilla Kota Kemuning,\nSeksyen 31\n40460\n",

"latitude": 3.0005137,

"longitude": 101.5337633,

"distance": 18.64429927003269,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 237,

"storeName": "Nike store",

"merchantId": 51,

"address": "Nike store\nNike store\n58200\n",

"latitude": 3.127457,

"longitude": 101.643349,

"distance": 0.017273475637309146,

"businessHour": "0808",

"phoneNo": "2131231",

"redemptionMode": "Q"

}, {

"storeId": 4554,

"storeName": "O'Briens Holiday Inn Express",

"merchantId": 1229,

"address": "Lot G01, Ground Floor, Holiday Inn Express,\nNo. 84, Jalan Raja Chulan, 50200 Kuala Lumpur.\n",

"latitude": 3.161399,

"longitude": 101.740293999999,

"distance": 11.423160633507331,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4555,

"storeName": "O'Briens Gleneagles Kuala Lumpur",

"merchantId": 1229,

"address": "Lots 5 & 5A, Ground Floor, Block B, \nGleneagles Kuala Lumpur, No 286 & 288\nJalan Ampang, 50450 Kuala Lumpur.\n",

"latitude": 3.150684,

"longitude": 101.708721999999,

"distance": 7.718979028778512,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4556,

"storeName": "O'Briens Institut Jantung Negara",

"merchantId": 1229,

"address": "Private Clinic, Level 6, Block A,\nInstitute Jantung Negara Jalan Tun Razak\nKuala Lumpur \n",
"latitude": 3.1699993,

"longitude": 101.7094247,

"distance": 8.74119523754769,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4602,

"storeName": "Himalaya Wangsa Walk",

"merchantId": 1232,

"address": "GK-03b, Wangsa Walk Mall,\nWangsa Avenue, No.9,\nJalan Wangsa Perdana 1,\nBandar Wangsa\n53300\n",

"latitude": 3.198331,

"longitude": 101.742011999999,

"distance": 13.508425702777364,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4603,

"storeName": "Himalaya Jusco Maluri",

"merchantId": 1232,

"address": "G 03A, Jusco Taman Maluri Shopping Center,\nJalan Jejaka, Taman Maluri,\nCheras,\nKuala Lumpur.\n55100\n",

"latitude": 3.1325862,

"longitude": 101.733875899999,

"distance": 10.08696200224146,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4610,

"storeName": "Himalaya Sunway Putra Mall, KL",

"merchantId": 1232,

"address": "LG 29 Sunway Putra Mall,\nNo. 100, Jalan Putra,\nKuala Lumpur.\n47400\n",

"latitude": 3.1663873,

"longitude": 101.692570499999,

"distance": 6.981227805048358,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 77,

"storeName": "Asia Square",

"merchantId": 166,

"address": "#02-09 Asia Square Tower 2\n8 Marina View\n018961\n018961\n",

"latitude": 3.127457,

"longitude": 101.643349,

"distance": 0.017273475637309146,

"businessHour": "10",

"phoneNo": "123436346",

"redemptionMode": "Q"

}, {

"storeId": 68,

"storeName": "1055_Virtual Store",

"merchantId": 160,

"address": "Petaling Jaya\nPetaling Jaya\n47301\n",

"latitude": 3.127457,

"longitude": 101.643349,

"distance": 0.017273475637309146,

"businessHour": "0800- 2300",

"phoneNo": "0123386658",

"redemptionMode": "Q"

}, {

"storeId": 70,

"storeName": "1002_MELAKA",

"merchantId": 160,

"address": "Petaling Jaya\nPetaling Jaya\n43701\n",

"latitude": 3.127457,

"longitude": 101.643349,

"distance": 0.017273475637309146,

"businessHour": "0800-2300",

"phoneNo": "0123386658",

"redemptionMode": "Q"

}, {

"storeId": 71,

"storeName": "1003_WANGSA MAJU",
"merchantId": 160,

"address": "Petaling Jaya\nPetaling Jaya\n43701\n",

"latitude": 3.127457,

"longitude": 101.643349,

"distance": 0.017273475637309146,

"businessHour": "0800-2300",

"phoneNo": "0123386658",

"redemptionMode": "Q"

}, {

"storeId": 601,

"storeName": "BABYBOY STORE 100",

"merchantId": 681,

"address": "22 jln phileo\npj\n4444444\n",

"latitude": 3.127457,

"longitude": 101.643349,

"distance": 0.017273475637309146,

"businessHour": "12PM",

"phoneNo": "123123123",

"redemptionMode": "Q"

}, {

"storeId": 4597,

"storeName": "Himalaya One Utama Shopping Mall",

"merchantId": 1232,

"address": "Lower Ground 216A,\n1, Lebuh Bandar Utama,\nBandar Utama,\nPetaling Jaya.\n47800\n",

"latitude": 3.1509,

"longitude": 101.61509,

"distance": 4.064292617280435,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4607,

"storeName": "Himalaya IOI City, Putrajaya",

"merchantId": 1232,

"address": "LG-89A, Lower Ground,\nIOI City Mall, IOI Resort,\nPutra Jaya,\n47100\n",

"latitude": 2.9703556,

"longitude": 101.713305499999,

"distance": 19.143352920269738,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4611,

"storeName": "Himalaya Atria Damansara",

"merchantId": 1232,

"address": "C 20, Concourse Floor,\nAtria Shopping Gallery, Atria Damansara,\nJalan SS22/23, Damansara Jaya,\n47400\n",

"latitude": 3.127175,

"longitude": 101.616583999999,

"distance": 2.959145135804837,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4624,

"storeName": "Himalaya Palm Mall Seremban",

"merchantId": 1232,

"address": "Lot 19, Ground Floor,\nJalan Sungai Ujong,\nSeremban,\n70200\n",

"latitude": 2.7192334,

"longitude": 101.9224228,

"distance": 55.00997193865285,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 5565,

"storeName": "Food store 2",

"merchantId": 1322,

"address": "2 Pickering Street #01-01\nGreat Eastern\n52100\n",

"latitude": 3.15076,

"longitude": 101.615403,

"distance": 4.027612081386349,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {
"storeId": 78,

"storeName": "Bugis Junction, VictoriaStreet",

"merchantId": 166,

"address": "Bugis Junction, VictoriaStreet\nPERMAI RIA CONDOMUNIUM\nTAMAN BATU PERMAI\nKUALA LUMPUR\n51200\n",

"latitude": 3.127457,

"longitude": 101.643349,

"distance": 0.017273475637309146,

"businessHour": "10",

"phoneNo": "0362503743",

"redemptionMode": "Q"

}, {

"storeId": 43,

"storeName": "Ikea Store",

"merchantId": 45,

"address": "Ikea Street\nPERMAI RIA CONDOMUNIUM\nTAMAN BATU PERMAI\nIkea city\n12345\n",

"latitude": 3.127457,

"longitude": 101.643349,

"distance": 0.017273475637309146,

"businessHour": "10am - 10pm",

"phoneNo": "012 - 345 6789",

"redemptionMode": "Q"

}, {

"storeId": 46,

"storeName": "Wilson Store",

"merchantId": 49,

"address": "Wilson Street\nWilson city\n12345\n",

"latitude": 3.127457,

"longitude": 101.643349,

"distance": 0.017273475637309146,

"businessHour": "10am - 10pm",

"phoneNo": "012 - 345 6789",

"redemptionMode": "Q"

}, {

"storeId": 65,

"storeName": "NSMV_Nestle Mid Valley",

"merchantId": 156,

"address": "Lot GK-01, Ground Floor,\nMid Valley City,\nLingkaran Syed Putra\n59200\n",

"latitude": 3.127457,

"longitude": 101.643349,

"distance": 0.017273475637309146,

"businessHour": "1000-2200",

"phoneNo": "012-3386658",

"redemptionMode": "P"

}, {

"storeId": 735,

"storeName": "KOI outlet 1\n\u2028",

"merchantId": 869,

"address": "E-6-3 JALAN 1/18B\nPERMAI RIA CONDOMUNIUM\nTAMAN BATU PERMAI\nKUALA LUMPUR\n51200\n",

"latitude": 3.09835,

"longitude": 101.729509,

"distance": 10.12156832513227,

"businessHour": "12.00 am - 12.00 pm",

"phoneNo": "0362503743",

"redemptionMode": "Q"

}, {

"storeId": 736,

"storeName": "KOI Store1",

"merchantId": 869,

"address": "E-6-3 JALAN 1/18B\nPERMAI RIA CONDOMUNIUM\nTAMAN BATU PERMAI\nKUALA LUMPUR\n51200\n",

"latitude": 3.109663,

"longitude": 101.752512,

"distance": 12.303634224891654,

"businessHour": "10 am 12 pm",

"phoneNo": "0362503743",

"redemptionMode": "Q"

}, {

"storeId": 4551,

"storeName": "O’Briens Menara Prudential",

"merchantId": 1229,

"address": "Mezzanine Floor, No 10 Jalan Sultan Ismail,\n50250 Kuala Lumpur.\n",

"latitude": 3.154946,

"longitude": 101.706769899999,

"distance": 7.690256722583719,

"businessHour": null,

"phoneNo": null,
"redemptionMode": "P"

}, {

"storeId": 4557,

"storeName": "O’Briens 1 Utama Shopping Centre",

"merchantId": 1229,

"address": "LG 349, Lower Ground Floor, Rain Forest,\n1 Utama Shopping Centre, No 1,\nLebuh Bandar Utama, 47800 Petaling Jaya, Selangor.\n",

"latitude": 3.150416,

"longitude": 101.616360999999,

"distance": 3.921606826751927,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4599,

"storeName": "Himalaya Sunway Pyramid",

"merchantId": 1232,

"address": "Lot LG2-130, Lower Ground 2,\nSunway Pyramid Shopping Mall,\nNo 3, Jalan PJS 11/15, Bandar Sunway,\nPetaling Jaya\n46150\n",

"latitude": 3.0731451,

"longitude": 101.607622499999,

"distance": 7.229438643285915,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4627,

"storeName": "Himalaya Alamanda Shopping Centre",

"merchantId": 1232,

"address": "Lot OS09,\nJalan Alamanda, Presint 1,\nPutrajaya,\n62000\n",

"latitude": 2.939503,

"longitude": 101.710685,

"distance": 22.22301697113163,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 66,

"storeName": "Milo KL",

"merchantId": 157,

"address": "323-a, Jalan Tun Razak,\nPudu\n50400\n",

"latitude": 3.076761,

"longitude": 101.678481,

"distance": 6.875017250033024,

"businessHour": "9:00-21:00",

"phoneNo": "0361000000",

"redemptionMode": "Q"

}, {

"storeId": 602,

"storeName": "BABYBOY STORE 200",

"merchantId": 681,

"address": "22 jln phileo\npj\n387384\n",

"latitude": 3.127457,

"longitude": 101.643349,

"distance": 0.017273475637309146,

"businessHour": "2PM",

"phoneNo": "123123123",

"redemptionMode": "Q"

}, {

"storeId": 726,

"storeName": "Skechers£¢∞§Capital Mall",

"merchantId": 865,

"address": "1 Pickering Street #01-01\nGreat Eastern Centre\n048659\n",

"latitude": 3.145658,

"longitude": 101.623449,

"distance": 2.980960161037033,

"businessHour": "9:00 - 11:00",

"phoneNo": "0322111111",

"redemptionMode": "P"

}, {

"storeId": 4552,

"storeName": "O’Briens Wisma UOA Damansara II",

"merchantId": 1229,

"address": "Level G-2, No 6, Jalan Changkat Semantan,\nDamansara Heights\n50490 Kuala Lumpur.\n",

"latitude": 3.151983,

"longitude": 101.666568999999,

"distance": 3.758191021480149,
"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4606,

"storeName": "Himalaya D’pulze , Cyberjaya",

"merchantId": 1232,

"address": "LG 18, Dpulze,\nLingkaran Cyber Point Timur,\nCyber 12,\n63000\n",

"latitude": 2.9221685,

"longitude": 101.650993599999,

"distance": 22.865660649920137,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4612,

"storeName": "Himalaya Sunway Velocity Mall",

"merchantId": 1232,

"address": "B-16, Sunway Velocity Mall,\nLingkaran SV, Sunway Velocity,\nKuala Lumpur.\n55100\n",

"latitude": 3.130318,

"longitude": 101.723220999999,

"distance": 8.893036330703286,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 5644,

"storeName": "Krisflyer Hall",

"merchantId": 1604,

"address": "Krisflyer Hall\nPERMAI RIA CONDOMUNIUM\nTAMAN BATU PERMAI\nKUALA LUMPUR\n51200\n",

"latitude": 3.127175,

"longitude": 101.6165839,

"distance": 2.9591562438681094,

"businessHour": "10.00am 12.00pm",

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 5398,

"storeName": "MOG Sunway Pyramid 1",

"merchantId": 1302,

"address": "Sunway Pyramid LG1.55\nNo.3, Jln PJS 11/15, Bandar Sunway\n46510 Petaling Jaya. Selangor\n",

"latitude": 3.2021397,

"longitude": 101.644660499999,

"distance": 8.301234269721052,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "Q"

}, {

"storeId": 64,

"storeName": "NSAC_Nestle KLCC",

"merchantId": 156,

"address": "Jalan Playar 15/1\nShah Alam\n700701\n",

"latitude": 3.127457,

"longitude": 101.643349,

"distance": 0.017273475637309146,

"businessHour": "0800 -2000",

"phoneNo": "012-3386658",

"redemptionMode": "P"

}, {

"storeId": 727,

"storeName": "Starbucks One Utama",

"merchantId": 866,

"address": "E-6-3 JALAN 1/18B\nPERMAI RIA CONDOMUNIUM\nTAMAN BATU PERMAI\nKUALA LUMPUR\n51200\n",

"latitude": 3.228957,

"longitude": 101.641849,

"distance": 11.284351480032738,

"businessHour": "10 am - 12 am",

"phoneNo": "0362503743",

"redemptionMode": "Q"

}, {

"storeId": 4550,

"storeName": "O’Briens Menara OCBC",

"merchantId": 1229,

"address": "Ground Floor, 18 Jalan Tun Perak,\n50050 Kuala Lumpur.\n",

"latitude": 3.149951,
"longitude": 101.696208999999,

"distance": 6.393025531771093,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4560,

"storeName": "O’Briens Wisma Shell (For Shell staffs only)",

"merchantId": 1229,

"address": "Cafeteria Area, Ground Floor,\nWisma Shell U Village, Jalan Teknokrat 3,\n63000 Cyberjaya, Selangor. \n",

"latitude": 2.927299,

"longitude": 101.65406,

"distance": 22.311067120984074,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4598,

"storeName": "Himalaya Suria KLCC Shopping Centre",

"merchantId": 1232,

"address": "Lot C 34,\nConcourse Floor,\nKuala Lumpur\n50088\n",

"latitude": 3.157999,

"longitude": 101.712627,

"distance": 8.422434171425643,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4600,

"storeName": "Himalaya IOI Mall",

"merchantId": 1232,

"address": "Lot GK7 Ground Floor IOI Mall,\nBandar Puchong Jaya,\nBatu 9 Jalan Puchong\nPuchong\n47100\n",

"latitude": 3.013086,

"longitude": 101.613804099999,

"distance": 13.14666297524774,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4613,

"storeName": "Himalaya Mydin Mall, USJ",

"merchantId": 1232,

"address": "G-06 Persiaran Subang Permai,\nUSJ 1,\nSubang Jaya,\n47500\n",

"latitude": 3.0579266,

"longitude": 101.599022699999,

"distance": 9.170345087465869,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 5402,

"storeName": "Food store 1",

"merchantId": 1322,

"address": "123\n123\n1333\n",

"latitude": 3.129561,

"longitude": 101.683995,

"distance": 4.535541885789084,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 5399,

"storeName": "MOG Sunway Pyramid 2",

"merchantId": 1302,

"address": "Sunway Pyramid LG2.139\nN0.3, Jalan PJS 11/15, Bandar Sunway\n46510 Petaling Jaya, Selangor Darul Ehsan\n",

"latitude": 3.0726842,

"longitude": 101.607443099999,

"distance": 7.283277064785816,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "Q"

}, {

"storeId": 47,

"storeName": "Adidas Store",

"merchantId": 51,
"address": "Adidas Street\nAdidas city\n12345\n",

"latitude": 3.127457,

"longitude": 101.643349,

"distance": 0.017273475637309146,

"businessHour": "10am - 10pm",

"phoneNo": "012 - 345 6789",

"redemptionMode": "Q"

}, {

"storeId": 73,

"storeName": "1005_BANDAR BARU KLANG",

"merchantId": 160,

"address": "Petaling Jaya\nPetaling Jaya\n43701\n",

"latitude": 3.127457,

"longitude": 101.643349,

"distance": 0.017273475637309146,

"businessHour": "0800-2300",

"phoneNo": "0123386658",

"redemptionMode": "Q"

}, {

"storeId": 608,

"storeName": "SKY CITY STORE 100",

"merchantId": 686,

"address": "22 jln phileo\npj\n4444444\n",

"latitude": 3.127457,

"longitude": 101.643349,

"distance": 0.017273475637309146,

"businessHour": "2",

"phoneNo": "123123123312",

"redemptionMode": "Q"

}, {

"storeId": 4553,

"storeName": "O’Briens Dua Sentral",

"merchantId": 1229,

"address": "Tingkat Bawah, Bangunan Dua Sentral, No 8,\nJalan Tun Sambanthan, 50470 Kuala Lumpur.\n",

"latitude": 3.136693,

"longitude": 101.692404,

"distance": 5.558187657876237,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 69,

"storeName": "1001_TAMAN MALURI",

"merchantId": 160,

"address": "Petaling Jaya\nPetaling Jaya\n43701\n",

"latitude": 3.127457,

"longitude": 101.643349,

"distance": 0.017273475637309146,

"businessHour": "0800-2300",

"phoneNo": "0123386658",

"redemptionMode": "Q"

}, {

"storeId": 72,

"storeName": "1004_BANDAR UTAMA",

"merchantId": 160,

"address": "Petaling Jaya\nPetaling Jaya\n43701\n",

"latitude": 3.127457,

"longitude": 101.643349,

"distance": 0.017273475637309146,

"businessHour": "0800-2300",

"phoneNo": "0123386658",

"redemptionMode": "Q"

}, {

"storeId": 74,

"storeName": "Casio One Utama",

"merchantId": 161,

"address": "1, Lebuh Bandar Utama,\nBandar Utama,\nPetaling Jaya\n47800\n",

"latitude": 3.151201,

"longitude": 101.61454,

"distance": 4.132703975676807,

"businessHour": "0900-2200",

"phoneNo": "+60 3-7726 4788",

"redemptionMode": "P"

}, {

"storeId": 4549,
"storeName": "O’Briens Suria KLCC",

"merchantId": 1229,

"address": "Lot C15E, Concourse Floor,\nKuala Lumpur City Centre\n50088 Kuala Lumpur.\n",

"latitude": 3.157635,

"longitude": 101.712047999999,

"distance": 8.347263289753982,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4596,

"storeName": "Himalaya Mid Valley Megamall",

"merchantId": 1232,

"address": "Lower Ground Lot 72 & 73,\nMid Valley Megamall, Lingkaran Syed Putra,\nKuala Lumpur\n59200\n",

"latitude": 3.11713,

"longitude": 101.677,

"distance": 3.9275928568695426,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4601,

"storeName": "Himalaya Empire Shopping Gallery",

"merchantId": 1232,

"address": "Lot 37A Lower Ground Floor\nEmpire Shopping Gallery\nSubang Jaya,\n47500\n",

"latitude": 3.0819468,

"longitude": 101.5827633,

"distance": 8.416667129497133,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4604,

"storeName": "Himalaya Setia City Mall",

"merchantId": 1232,

"address": "LG-63, Setia City Mall,\nNo.7, Persiaran Setia Dagang,\nBandar Setia Alam, Seksyen U13,\nShah Alam,\n40107\n",

"latitude": 3.110137,

"longitude": 101.457429,

"distance": 20.73055264805979,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4605,

"storeName": "Himalaya Subang Parade",

"merchantId": 1232,

"address": "LG11D, Lower Ground Floor Subang Parade\nNo.5 Jalan SS16/1\nSubang Jaya ,\n47500\n",

"latitude": 3.0827515,

"longitude": 101.5846592,

"distance": 8.194822389582868,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}, {

"storeId": 4608,

"storeName": "Himalaya Festival City Mall Setapak",

"merchantId": 1232,

"address": "G 63, NO 67\nJalan Taman Ibu Kota,\nTaman Danau Kota,\nSetapak,\n47500\n",

"latitude": 3.2046409,

"longitude": 101.7207633,

"distance": 12.156816016991622,

"businessHour": null,

"phoneNo": null,

"redemptionMode": "P"

}

]

}

05 April 2025 10/12



#2 - 04 July 2022 09:46 AM - chok yee fan

- Assignee changed from chok yee fan to yonqi yonqi

#3 - 04 July 2022 10:36 AM - chok yee fan

API key for google map

AIzaSyAJI_DGvGrcWkaOheTn30eD1OMWW-VbnmY

view api key url, login as sifb.mobility@gmail.com

https://console.cloud.google.com/apis/credentials?authuser=1&project=showroom-demo-4354c

#4 - 05 July 2022 10:43 AM - yonqi yonqi

- File Screenshot 2022-07-05 at 10.40.22 AM.png added

Two ways to embed map with multiple markers:

1. Use Maps Javascript API (consider for pricing)

2. Create a map manually in Google My Maps ( Google Map > Your Places > Maps )

- Many markers can be added

- Copy html code and paste it to the project in order to embed the map

#5 - 06 July 2022 11:24 AM - yonqi yonqi

- Status changed from New to Resolved

- Assignee changed from yonqi yonqi to Hoo Dextor

Revision: 217857

Author: yonqi

Date: Wednesday, July 6, 2022 11:15 AM

Message:

yonqi - Bug #13904 IB - Add google map into the page

----

Added : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-location

Added :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-location/branch-location.acti

ons.ts

Added :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-location/branch-location.effe

cts.ts

Added :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-location/branch-location.html

Added :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-location/branch-location.mo

dule.ts

Added :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-location/branch-location.red

ucer.ts

Added :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-location/branch-location.scs

s

Added :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-location/branch-location.serv

ice.ts

Added :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-location/branch-location.ts

Modified :

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/layout/ant-design-side-layout/ant-de

sign-side-layout-routing.module.ts

Modified : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/leftMenu.json
#6 - 06 July 2022 11:28 AM - chok yee fan

alternative might use this

https://dev.silverlakemobility.com/redmine/issues/13883

#7 - 13 July 2022 02:36 PM - Wee Meng Soh

- Status changed from Resolved to Pending SIT 

#8 - 13 July 2022 03:26 PM - chok yee fan

- Status changed from Pending SIT  to Closed

tested working

Files

Screenshot 2022-07-05 at 10.40.22 AM.png 1.05 MB 05 July 2022 yonqi yonqi
